﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RadContextMenu_WPF_639409
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<CustomMenuItem> items { get; set; }

        CustomMenuItem add = new CustomMenuItem() { Header = "Add" };
        CustomMenuItem delete = new CustomMenuItem() { Header = "Delete" };

        public MainWindow()
        {
            InitializeComponent();

            items = new ObservableCollection<CustomMenuItem>()
            {
                new CustomMenuItem 
                { 
                    Header = "Item 1" ,
                    ImageSource = "Images/19cut.png",
                    SubItems = new ObservableCollection<CustomMenuItem>()
                    {
                        new CustomMenuItem { Header = "Item 1.1", ImageSource = "/Images/11new.png" },
                        new CustomMenuItem { Header = "Item 1.2" },
                        new CustomMenuItem { Header = "Item 1.3" },
                    }
                },
                new CustomMenuItem { Header = "Item 2" }
            };

            //Add Header items
            items.Insert(0, add);

            //Add Footer items
            items.Insert(((IList)items).Count, delete);


            //Set ItemsSource of RadContextMenu
            this.radContextMenu.ItemsSource = items;
        }

       
    }
}
